Bug 989016 - python-alembic is missing the dependency requirement python-setuptools
Summary: python-alembic is missing the dependency requirement python-setuptools
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-alembic   
(Show other bugs)
Version: el6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-26 22:13 UTC by John Julien
Modified: 2014-01-23 02:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 02:49:23 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Julien 2013-07-26 22:13:10 UTC
The package python-alembic is missing the dependency requirement python-setuptools

# alembic init alembic
Traceback (most recent call last):
  File "/usr/bin/alembic", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources



# yum whatprovides "*/pkg_resources.py"
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
python-setuptools-0.6.10-3.el6.noarch : Easily build and distribute Python packages
Repo        : base
Matched from:
Filename    : /usr/lib/python2.6/site-packages/pkg_resources.py


wxPython-2.8.12.0-1.el6.x86_64 : GUI toolkit for the Python programming language
Repo        : epel6-x86_64
Matched from:
Filename    : /usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/tools/Editra/src/extern/pkg_resources.py

Comment 1 Ralph Bean 2013-07-29 15:53:11 UTC
Thanks for reporting, John!

Comment 2 Fedora Update System 2013-07-29 16:32:53 UTC
python-alembic-0.4.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-alembic-0.4.2-3.el6

Comment 3 Fedora Update System 2013-07-29 16:33:58 UTC
python-alembic-0.4.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-alembic-0.4.2-3.fc19

Comment 4 Fedora Update System 2013-07-29 16:34:24 UTC
python-alembic-0.4.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-alembic-0.4.2-3.fc18

Comment 5 Fedora Update System 2013-08-11 18:30:53 UTC
python-alembic-0.4.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-08-11 18:31:01 UTC
python-alembic-0.4.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-08-20 18:17:00 UTC
python-alembic-0.4.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.